Module waffle.jna
Package waffle.servlet

# Class WaffleInfoServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
waffle.servlet.WaffleInfoServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class WaffleInfoServlet extends javax.servlet.http.HttpServlet
A servlet that returns WaffleInfo as XML.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WaffleInfoServlet()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void`
`doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void`
`getWaffleInfoResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
Gets the waffle info response.

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WaffleInfoServlet

public WaffleInfoServlet()

## Method Details

### doGet

public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`

### doPost

public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`

### getWaffleInfoResponse

public void getWaffleInfoResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
Gets the waffle info response.

Parameters:
  `request` - the request
  `response` - the response